Subject: Re: My contract
From: Ashish Dabral <[email-masked]>
To: Becho Davy Jaures <[email-masked]>
Cc: Parvez Alam <[email-masked]>
Date: Mon, 23 Dec 2019 23:57:02 -0700 (MST)

Hi Becho, 

Your cheque is ready. Please come in day timing and collect you cheque. 

Regards, 
Ashish Dabral 

From: "Becho Davy Jaures" <[email-masked]> 
To: "Ashish Dabral" <[email-masked]> 
Cc: "Parvez Alam" <[email-masked]> 
Sent: Tuesday, December 24, 2019 8:21:02 AM 
Subject: Fwd: My contract 

Hi Ashish, 

As discussed earlier, this is regarding my visa fee, I was supposed to get that after completing 6 months as per my contract. 
As I did not get any update regarding that, I'm just writing again to remind you. 

Thank you for your consideration, 

Kind Regards, 
Becho